Browse Source

Initail commit

Change-Id: I85c571a133e782f5a30ec8a9b5734aefa57e9871
Maciej Relewicz 2 years ago
parent
commit
26d6721495

+ 3
- 0
.gitignore View File

@@ -0,0 +1,3 @@
1
+.build/
2
+networking-sfc*.noarch.rpm
3
+tmp

+ 9
- 0
.travis.yml View File

@@ -0,0 +1,9 @@
1
+language: python
2
+python:
3
+  - "2.7"
4
+sudo: true
5
+install:
6
+  - sudo apt-get install createrepo rpm dpkg-dev
7
+  - pip install fuel-plugin-builder
8
+  - gem install fpm
9
+script: cd .. && fpb --build fuel-plugin-networking-sfc

+ 202
- 0
LICENSE View File

@@ -0,0 +1,202 @@
1
+Apache License
2
+                           Version 2.0, January 2004
3
+                        http://www.apache.org/licenses/
4
+
5
+   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
6
+
7
+   1. Definitions.
8
+
9
+      "License" shall mean the terms and conditions for use, reproduction,
10
+      and distribution as defined by Sections 1 through 9 of this document.
11
+
12
+      "Licensor" shall mean the copyright owner or entity authorized by
13
+      the copyright owner that is granting the License.
14
+
15
+      "Legal Entity" shall mean the union of the acting entity and all
16
+      other entities that control, are controlled by, or are under common
17
+      control with that entity. For the purposes of this definition,
18
+      "control" means (i) the power, direct or indirect, to cause the
19
+      direction or management of such entity, whether by contract or
20
+      otherwise, or (ii) ownership of fifty percent (50%) or more of the
21
+      outstanding shares, or (iii) beneficial ownership of such entity.
22
+
23
+      "You" (or "Your") shall mean an individual or Legal Entity
24
+      exercising permissions granted by this License.
25
+
26
+      "Source" form shall mean the preferred form for making modifications,
27
+      including but not limited to software source code, documentation
28
+      source, and configuration files.
29
+
30
+      "Object" form shall mean any form resulting from mechanical
31
+      transformation or translation of a Source form, including but
32
+      not limited to compiled object code, generated documentation,
33
+      and conversions to other media types.
34
+
35
+      "Work" shall mean the work of authorship, whether in Source or
36
+      Object form, made available under the License, as indicated by a
37
+      copyright notice that is included in or attached to the work
38
+      (an example is provided in the Appendix below).
39
+
40
+      "Derivative Works" shall mean any work, whether in Source or Object
41
+      form, that is based on (or derived from) the Work and for which the
42
+      editorial revisions, annotations, elaborations, or other modifications
43
+      represent, as a whole, an original work of authorship. For the purposes
44
+      of this License, Derivative Works shall not include works that remain
45
+      separable from, or merely link (or bind by name) to the interfaces of,
46
+      the Work and Derivative Works thereof.
47
+
48
+      "Contribution" shall mean any work of authorship, including
49
+      the original version of the Work and any modifications or additions
50
+      to that Work or Derivative Works thereof, that is intentionally
51
+      submitted to Licensor for inclusion in the Work by the copyright owner
52
+      or by an individual or Legal Entity authorized to submit on behalf of
53
+      the copyright owner. For the purposes of this definition, "submitted"
54
+      means any form of electronic, verbal, or written communication sent
55
+      to the Licensor or its representatives, including but not limited to
56
+      communication on electronic mailing lists, source code control systems,
57
+      and issue tracking systems that are managed by, or on behalf of, the
58
+      Licensor for the purpose of discussing and improving the Work, but
59
+      excluding communication that is conspicuously marked or otherwise
60
+      designated in writing by the copyright owner as "Not a Contribution."
61
+
62
+      "Contributor" shall mean Licensor and any individual or Legal Entity
63
+      on behalf of whom a Contribution has been received by Licensor and
64
+      subsequently incorporated within the Work.
65
+
66
+   2. Grant of Copyright License. Subject to the terms and conditions of
67
+      this License, each Contributor hereby grants to You a perpetual,
68
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
69
+      copyright license to reproduce, prepare Derivative Works of,
70
+      publicly display, publicly perform, sublicense, and distribute the
71
+      Work and such Derivative Works in Source or Object form.
72
+
73
+   3. Grant of Patent License. Subject to the terms and conditions of
74
+      this License, each Contributor hereby grants to You a perpetual,
75
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
76
+      (except as stated in this section) patent license to make, have made,
77
+      use, offer to sell, sell, import, and otherwise transfer the Work,
78
+      where such license applies only to those patent claims licensable
79
+      by such Contributor that are necessarily infringed by their
80
+      Contribution(s) alone or by combination of their Contribution(s)
81
+      with the Work to which such Contribution(s) was submitted. If You
82
+      institute patent litigation against any entity (including a
83
+      cross-claim or counterclaim in a lawsuit) alleging that the Work
84
+      or a Contribution incorporated within the Work constitutes direct
85
+      or contributory patent infringement, then any patent licenses
86
+      granted to You under this License for that Work shall terminate
87
+      as of the date such litigation is filed.
88
+
89
+   4. Redistribution. You may reproduce and distribute copies of the
90
+      Work or Derivative Works thereof in any medium, with or without
91
+      modifications, and in Source or Object form, provided that You
92
+      meet the following conditions:
93
+
94
+      (a) You must give any other recipients of the Work or
95
+          Derivative Works a copy of this License; and
96
+
97
+      (b) You must cause any modified files to carry prominent notices
98
+          stating that You changed the files; and
99
+
100
+      (c) You must retain, in the Source form of any Derivative Works
101
+          that You distribute, all copyright, patent, trademark, and
102
+          attribution notices from the Source form of the Work,
103
+          excluding those notices that do not pertain to any part of
104
+          the Derivative Works; and
105
+
106
+      (d) If the Work includes a "NOTICE" text file as part of its
107
+          distribution, then any Derivative Works that You distribute must
108
+          include a readable copy of the attribution notices contained
109
+          within such NOTICE file, excluding those notices that do not
110
+          pertain to any part of the Derivative Works, in at least one
111
+          of the following places: within a NOTICE text file distributed
112
+          as part of the Derivative Works; within the Source form or
113
+          documentation, if provided along with the Derivative Works; or,
114
+          within a display generated by the Derivative Works, if and
115
+          wherever such third-party notices normally appear. The contents
116
+          of the NOTICE file are for informational purposes only and
117
+          do not modify the License. You may add Your own attribution
118
+          notices within Derivative Works that You distribute, alongside
119
+          or as an addendum to the NOTICE text from the Work, provided
120
+          that such additional attribution notices cannot be construed
121
+          as modifying the License.
122
+
123
+      You may add Your own copyright statement to Your modifications and
124
+      may provide additional or different license terms and conditions
125
+      for use, reproduction, or distribution of Your modifications, or
126
+      for any such Derivative Works as a whole, provided Your use,
127
+      reproduction, and distribution of the Work otherwise complies with
128
+      the conditions stated in this License.
129
+
130
+   5. Submission of Contributions. Unless You explicitly state otherwise,
131
+      any Contribution intentionally submitted for inclusion in the Work
132
+      by You to the Licensor shall be under the terms and conditions of
133
+      this License, without any additional terms or conditions.
134
+      Notwithstanding the above, nothing herein shall supersede or modify
135
+      the terms of any separate license agreement you may have executed
136
+      with Licensor regarding such Contributions.
137
+
138
+   6. Trademarks. This License does not grant permission to use the trade
139
+      names, trademarks, service marks, or product names of the Licensor,
140
+      except as required for reasonable and customary use in describing the
141
+      origin of the Work and reproducing the content of the NOTICE file.
142
+
143
+   7. Disclaimer of Warranty. Unless required by applicable law or
144
+      agreed to in writing, Licensor provides the Work (and each
145
+      Contributor provides its Contributions) on an "AS IS" BASIS,
146
+      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
147
+      implied, including, without limitation, any warranties or conditions
148
+      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
149
+      PARTICULAR PURPOSE. You are solely responsible for determining the
150
+      appropriateness of using or redistributing the Work and assume any
151
+      risks associated with Your exercise of permissions under this License.
152
+
153
+   8. Limitation of Liability. In no event and under no legal theory,
154
+      whether in tort (including negligence), contract, or otherwise,
155
+      unless required by applicable law (such as deliberate and grossly
156
+      negligent acts) or agreed to in writing, shall any Contributor be
157
+      liable to You for damages, including any direct, indirect, special,
158
+      incidental, or consequential damages of any character arising as a
159
+      result of this License or out of the use or inability to use the
160
+      Work (including but not limited to damages for loss of goodwill,
161
+      work stoppage, computer failure or malfunction, or any and all
162
+      other commercial damages or losses), even if such Contributor
163
+      has been advised of the possibility of such damages.
164
+
165
+   9. Accepting Warranty or Additional Liability. While redistributing
166
+      the Work or Derivative Works thereof, You may choose to offer,
167
+      and charge a fee for, acceptance of support, warranty, indemnity,
168
+      or other liability obligations and/or rights consistent with this
169
+      License. However, in accepting such obligations, You may act only
170
+      on Your own behalf and on Your sole responsibility, not on behalf
171
+      of any other Contributor, and only if You agree to indemnify,
172
+      defend, and hold each Contributor harmless for any liability
173
+      incurred by, or claims asserted against, such Contributor by reason
174
+      of your accepting any such warranty or additional liability.
175
+
176
+   END OF TERMS AND CONDITIONS
177
+
178
+   APPENDIX: How to apply the Apache License to your work.
179
+
180
+      To apply the Apache License to your work, attach the following
181
+      boilerplate notice, with the fields enclosed by brackets "{}"
182
+      replaced with your own identifying information. (Don't include
183
+      the brackets!)  The text should be enclosed in the appropriate
184
+      comment syntax for the file format. We also recommend that a
185
+      file or class name and description of purpose be included on the
186
+      same "printed page" as the copyright notice for easier
187
+      identification within third-party archives.
188
+
189
+   Copyright {yyyy} {name of copyright owner}
190
+
191
+   Licensed under the Apache License, Version 2.0 (the "License");
192
+   you may not use this file except in compliance with the License.
193
+   You may obtain a copy of the License at
194
+
195
+       http://www.apache.org/licenses/LICENSE-2.0
196
+
197
+   Unless required by applicable law or agreed to in writing, software
198
+   distributed under the License is distributed on an "AS IS" BASIS,
199
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
200
+   See the License for the specific language governing permissions and
201
+   limitations under the License.
202
+

+ 64
- 0
README.md View File

@@ -0,0 +1,64 @@
1
+Networking SFC plugin for Fuel
2
+=======================
3
+
4
+Networking SFC
5
+--------------
6
+
7
+One of the foundations for NFV enabled clouds is to have
8
+Networking Service Function Chaining which provides an
9
+ability to define an ordered list of network services
10
+which to form a “chain” of services. This could be used
11
+by f.e. Telcos to simplify management of their infrastructure.
12
+
13
+This plugin extends MOS with Networking SFC.
14
+
15
+Requirements
16
+------------
17
+
18
+| Requirement                      | Version |
19
+|:---------------------------------|:--------|
20
+| Mirantis OpenStack compatibility | 9.0     |
21
+
22
+It is required to install this on vxlans enabled environment. Will not work otherwise.
23
+
24
+Installation Guide
25
+==================
26
+
27
+Networking SFC plugin installation
28
+---------------------------
29
+
30
+To install Networking SFC plugin, follow these steps:
31
+
32
+1. Build a plugin `fpb --build dir`
33
+
34
+2. Copy the plugin on already installed Fuel Master node; ssh can be used for
35
+    that. If you do not have the Fuel Master node yet, see
36
+    [Quick Start Guide](https://software.mirantis.com/quick-start/) :
37
+
38
+        # scp networking-sfc-<version>.noarch.rpm root@<Fuel_Master_ip>:/tmp
39
+
40
+3. Install the plugin:
41
+
42
+        # cd /tmp
43
+        # fuel plugins --install networking-sfc-<version>.noarch.rpm
44
+
45
+4. Check if the plugin was installed successfully:
46
+
47
+        # [root@nailgun ~]# fuel plugins
48
+        id | name           | version | package_version | releases
49
+        ---|----------------|---------|-----------------|--------------------
50
+        1  | networking-sfc | 1.0.0   | 4.0.0           | ubuntu (mitaka-9.0)
51
+
52
+Networking SFC plugin configuration
53
+----------------------------
54
+
55
+1. Create an environment.
56
+2. Enable L2 Population in network tab.
57
+3. Enable the plugin on the Settings tab of the Fuel web UI.
58
+4. Deploy the environment.
59
+
60
+Contributors
61
+------------
62
+
63
+ * Damian Szeluga <dszeluga@mirantis.com> (developer)
64
+ * Maciej Relewicz <mrelewicz@mirantis.com> (developer)

+ 60
- 0
deployment_scripts/puppet/manifests/networking-sfc-compute.pp View File

@@ -0,0 +1,60 @@
1
+#    Copyright 2016 Mirantis, Inc.
2
+#
3
+#    Licensed under the Apache License, Version 2.0 (the "License"); you may
4
+#    not use this file except in compliance with the License. You may obtain
5
+#    a copy of the License at
6
+#
7
+#         http://www.apache.org/licenses/LICENSE-2.0
8
+#
9
+#    Unless required by applicable law or agreed to in writing, software
10
+#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
11
+#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
12
+#    License for the specific language governing permissions and limitations
13
+#    under the License.
14
+notice('MODULAR: networking-sfc/networking-sfc-compute.pp')
15
+
16
+$use_neutron = hiera('use_neutron', false)
17
+
18
+if $use_neutron {
19
+  include ::neutron::params
20
+
21
+  $neutron_config = hiera_hash('neutron_config')
22
+
23
+  $default_service_plugins = [
24
+     'neutron.services.l3_router.l3_router_plugin.L3RouterPlugin',
25
+     'neutron.services.metering.metering_plugin.MeteringPlugin',
26
+  ]
27
+  $sfc_plugins = [
28
+    'networking_sfc.services.flowclassifier.plugin.FlowClassifierPlugin',
29
+    'networking_sfc.services.sfc.plugin.SfcPlugin',
30
+  ]
31
+
32
+  $enabled_plugins = inline_template("<%= (@default_service_plugins + @sfc_plugins).join(',') %>")
33
+
34
+  service {'neutron-openvswitch-agent':
35
+    ensure    => running,
36
+    enable    => true,
37
+    hasstatus => true,
38
+  }
39
+
40
+  package {'python-networking-sfc':
41
+      ensure => installed,
42
+  } ->
43
+
44
+  neutron_config { 'DEFAULT/service_plugins': value => $enabled_plugins } ->
45
+
46
+  neutron_plugin_ml2 { 'securitygroup/enable_security_group': value => 'False'} ->
47
+  neutron_plugin_ml2 { 'securitygroup/enable_ipset': value => 'False'} ->
48
+  neutron_plugin_ml2 { 'securitygroup/firewall_driver': value => 'neutron.agent.firewall.NoopFirewallDriver'} ->
49
+
50
+  file_line { 'Add OSV section to neutron.conf':
51
+    path => '/etc/neutron/neutron.conf',
52
+    line => "\n[sfc]\ndrivers = ovs\n",
53
+  } ->
54
+
55
+  exec { 'Modify neutron-openvswitch-agent.conf':
56
+    command => "sed -i 's|/usr/bin|/usr/local/bin|g' /etc/init/neutron-openvswitch-agent.conf",
57
+    path    => '/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin',
58
+    notify  => Service['neutron-openvswitch-agent']
59
+  }
60
+}

+ 90
- 0
deployment_scripts/puppet/manifests/networking-sfc-controller.pp View File

@@ -0,0 +1,90 @@
1
+#    Copyright 2016 Mirantis, Inc.
2
+#
3
+#    Licensed under the Apache License, Version 2.0 (the "License"); you may
4
+#    not use this file except in compliance with the License. You may obtain
5
+#    a copy of the License at
6
+#
7
+#         http://www.apache.org/licenses/LICENSE-2.0
8
+#
9
+#    Unless required by applicable law or agreed to in writing, software
10
+#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
11
+#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
12
+#    License for the specific language governing permissions and limitations
13
+#    under the License.
14
+
15
+notice('MODULAR: networking-sfc/networking-sfc-controller.pp')
16
+
17
+$use_neutron = hiera('use_neutron', false)
18
+
19
+if $use_neutron {
20
+  include ::neutron::params
21
+
22
+  $primary_controller = hiera('primary_controller')
23
+  $node_name = hiera('node_name')
24
+  $neutron_config = hiera_hash('neutron_config')
25
+  $neutron_server_enable = pick($neutron_config['neutron_server_enable'], true)
26
+  $neutron_nodes = hiera_hash('neutron_nodes')
27
+
28
+  $default_service_plugins = [
29
+    'neutron.services.l3_router.l3_router_plugin.L3RouterPlugin',
30
+    'neutron.services.metering.metering_plugin.MeteringPlugin',
31
+  ]
32
+  $sfc_plugins = [
33
+    'networking_sfc.services.flowclassifier.plugin.FlowClassifierPlugin',
34
+    'networking_sfc.services.sfc.plugin.SfcPlugin',
35
+  ]
36
+
37
+  $enabled_plugins = inline_template("<%= (@default_service_plugins + @sfc_plugins).join(',') %>")
38
+
39
+  if $node_name in keys($neutron_nodes) {
40
+    if $neutron_server_enable {
41
+      $service_ensure = 'running'
42
+    } else {
43
+      $service_ensure = 'stopped'
44
+    }
45
+    service { 'neutron-server':
46
+      name       => $::neutron::params::server_service,
47
+      enable     => $neutron_server_enable,
48
+      ensure     => $service_ensure,
49
+      hasstatus  => true,
50
+      hasrestart => true,
51
+      tag        => 'neutron-service',
52
+    }
53
+  }
54
+
55
+  service {'neutron-openvswitch-agent':
56
+    ensure    => running,
57
+    enable    => true,
58
+    hasstatus => true,
59
+  }
60
+
61
+  package {'python-networking-sfc':
62
+      ensure => installed,
63
+  }
64
+
65
+  if $primary_controller {
66
+    $extra_params = '--config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini --subproject networking-sfc'
67
+
68
+    class { '::neutron::db::sync':
69
+      extra_params => $extra_params,
70
+    }
71
+   notify{"Schema upgrade for SFC": } ~> Exec['neutron-db-sync']
72
+  }
73
+
74
+  neutron_config { 'DEFAULT/service_plugins': value => $enabled_plugins } ->
75
+
76
+  neutron_plugin_ml2 { 'securitygroup/enable_security_group': value => 'False'} ->
77
+  neutron_plugin_ml2 { 'securitygroup/enable_ipset': value => 'False'} ->
78
+  neutron_plugin_ml2 { 'securitygroup/firewall_driver': value => 'neutron.agent.firewall.NoopFirewallDriver'} ->
79
+
80
+  file_line { 'Add OSV section to neutron.conf':
81
+    path => '/etc/neutron/neutron.conf',
82
+    line => "\n[sfc]\ndrivers = ovs\n",
83
+  } ->
84
+
85
+  exec { 'Modify neutron-openvswitch-agent.conf':
86
+    command => "sed -i 's|/usr/bin|/usr/local/bin|g' /etc/init/neutron-openvswitch-agent.conf",
87
+    path    => '/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin',
88
+    notify  => [Service['neutron-openvswitch-agent'],Service['neutron-server']],
89
+  }
90
+}

+ 24
- 0
deployment_tasks.yaml View File

@@ -0,0 +1,24 @@
1
+##############################################
2
+# Deployment groups
3
+# Deployment tasks
4
+- id: networking-sfc-controller
5
+  type: puppet
6
+  version: 2.0.0
7
+  groups: [primary-controller,controller]
8
+  requires: [post_deployment_start]
9
+  required_for: [post_deployment_end]
10
+  parameters:
11
+    puppet_manifest: puppet/manifests/networking-sfc-controller.pp
12
+    puppet_modules: puppet/modules:/etc/puppet/modules
13
+    timeout: 120
14
+
15
+- id: networking-sfc-compute
16
+  type: puppet
17
+  version: 2.0.0
18
+  groups: [compute]
19
+  requires: [post_deployment_start]
20
+  required_for: [post_deployment_end]
21
+  parameters:
22
+    puppet_manifest: puppet/manifests/networking-sfc-compute.pp
23
+    puppet_modules: puppet/modules:/etc/puppet/modules
24
+    timeout: 120

+ 5
- 0
environment_config.yaml View File

@@ -0,0 +1,5 @@
1
+attributes:
2
+  metadata:
3
+    restrictions:
4
+      - condition: "not ((cluster:net_provider == 'neutron' and networking_parameters:segmentation_type != 'vlan') and (settings:neutron_advanced_configuration.neutron_l2_pop.value == true))"
5
+        message: "Please use Neutron with tunneling segmentation and L2 population option enabled"

+ 33
- 0
metadata.yaml View File

@@ -0,0 +1,33 @@
1
+# Plugin name
2
+name: networking-sfc
3
+# Human-readable name for your plugin
4
+title: Service Function Chaining Extension for OpenStack Networking
5
+# Plugin version
6
+version: '1.0.0'
7
+# Description
8
+description: Service Function Chaining is a mechanism for overriding the basic destination based forwarding that is typical of IP networks.
9
+# Required fuel version
10
+fuel_version: ['9.0']
11
+# Specify license of your plugin
12
+licenses: ['Apache License Version 2.0']
13
+# Specify author or company name
14
+authors: ['Maciej Relewicz <mrelewicz@mirantis.com>', 'Damian Szeluga <dszeluga@mirantis.com>']
15
+# A link to the plugin's page
16
+homepage: 'https://github.com/damjanek/fuel-plugin-networking-sfc'
17
+# Specify a group which your plugin implements, possible options:
18
+# network, storage, storage::cinder, storage::glance, hypervisor
19
+groups: [network]
20
+# Change `false` to `true` if the plugin can be installed in the environment
21
+# after the deployment.
22
+is_hotpluggable: false
23
+
24
+# The plugin is compatible with releases in the list
25
+releases:
26
+  - os: ubuntu
27
+    version: mitaka-9.0
28
+    mode: ['ha']
29
+    deployment_scripts_path: deployment_scripts/
30
+    repository_path: repositories/ubuntu
31
+
32
+# Version of plugin package
33
+package_version: '4.0.0'

+ 2
- 0
post_install.sh View File

@@ -0,0 +1,2 @@
1
+#!/bin/bash
2
+#Add custom scripts/workarounds here

+ 40
- 0
pre_build_hook View File

@@ -0,0 +1,40 @@
1
+#!/bin/bash
2
+
3
+# Add here any the actions which are required before plugin build
4
+# like packages building, packages downloading from mirrors and so on.
5
+# The script should return 0 if there were no errors.
6
+set -eux
7
+
8
+#git reposotory with source code
9
+GIT_REPOSITORY_URL=https://github.com/openstack/networking-sfc.git
10
+
11
+#package information
12
+VERSION_NUMBER=${VERSION_NUMBER:-0.0.1}
13
+DESCRIPTION="Networking SFC for Openstack"
14
+MAINTAINERS="Maciej Relewicz, Damian Szeluga"
15
+
16
+DIR="$(dirname `readlink -f $0`)"
17
+TMP_DIR="${DIR}/tmp"
18
+
19
+#Remove temporary files
20
+CLEANUP=${CLEANUP:-true}
21
+
22
+function cleanup {
23
+  rm -rf "${TMP_DIR}"
24
+}
25
+
26
+command -v fpm >/dev/null 2>&1 || { echo >&2 "fpm ruby gem required but it's not installed.  Aborting."; exit 1; }
27
+
28
+cleanup
29
+mkdir -p "${TMP_DIR}"
30
+pushd $TMP_DIR
31
+
32
+git clone $GIT_REPOSITORY_URL networking-sfc
33
+
34
+pushd "${DIR}/repositories/ubuntu/"
35
+fpm --architecture all --force -s python --no-python-dependencies -t deb -m "${MAINTAINERS}" --python-install-lib /usr/lib/python2.7/dist-packages ${TMP_DIR}/networking-sfc/setup.py
36
+popd
37
+
38
+if [ "$CLEANUP" != false ];then
39
+  cleanup
40
+fi

+ 0
- 0
repositories/ubuntu/.gitkeep View File


+ 1
- 0
tasks.yaml View File

@@ -0,0 +1 @@
1
+[]

+ 2
- 0
uninstall.sh View File

@@ -0,0 +1,2 @@
1
+#!/bin/bash
2
+#Add custom scripts/workarounds here

Loading…
Cancel
Save